arx(6)

NAME
arx - Arx Libertatis, a cross-platform port of Arx Fatalis

SYNOPSIS
arx [-hnl] [-d data-dir] [-u user-dir] [-c config-dir] [-g debug-spec]

DESCRIPTION
arx is the main executable of Arx Libertatis, a cross-platform port of the first-person role-playing game Arx Fatalis. You will need the data from the original Arx Fatalis to run the game. See http://arx.vg/Getting_the_game_data.

OPTIONS SUMMARY

Here is a short summary of the options available in innoextract. Please refer to the detailed documentation below for a complete description.

Generic options:
     -h --help            Show supported options
     -g --debug LEVELS    Set debug output levels

Search path options:
     -n --no-data-dir     Don't automatically detect data directories
     -d --data-dir DIR    Where to find the data files (can be repeated)
     -u --user-dir DIR    Where to store user-specific files
     -c --config-dir DIR  Where to store config files
     -l --list-dirs       List the searched user and data directories

OPTIONS

-c, --config-dir=DIR
    By default arx will store configuration files in directories specified by the XDG Base Directory Specification. This option overrides the directory where config files are loaded from and saved to.

-d, --data-dir=DIR
    Arx Libertatis will look for data files in directories specified by the XDG Base Directory Specification and in the directory containing the game executable. Besides the system-wide data directory, data files are also loaded from the user directory, which can be set by the --user-dir option. This option adds additional directories to search for data files before the detected system-wide directories, but after the user directory. To override the detected data directories combine it with the --no-data-dir option. The --data-dir option can be repeated to add multiple data directories, in which case they are searched in the order provided. See http://arx.vg/Data_directories and the --list-dirs output for more details.

-g, --debug=LEVELS
    This option can be used to enable debug output for debug builds of Arx Libertatis. For non-debug build, this option is not very useful but recognized for convenience.

-h, --help
    Show a list of the supported options.

-l, --list-dirs
    Show the data, user and config search directories and how they were determined. To adjust the search directories, use the --no-data-dir, --data-dir, --user-dir and --config-dir options.

-n, --no-data-dir
    Disables looking for default data directories. Default user and config directories and data directories provided using the --data-dir option are still searched. This option can be used for portable setups where user, config and data files are all in the current directory: arx --no-data-dir --user-dir=. --config-dir=.

-u, --user-dir=DIR
    By default arx will store user files (saves, etc.) in directories specified by the XDG Base Directory Specification. This option overrides the directory where user files are loaded from and saved to. Configuration files are not stored in the user directory, but in a separate directory that can be set by the --user-dir option. The user directory will also be used to load data, overwriting resources from the system-wide data directories amd from directories specified by the --data-dir option.

SEE ALSO
arxsavetool(1), arxunpak(1)

BUGS

To view known bugs and report new ones, please visit https://bugs.arx-libertatis.org/.